Main Page | Modules | Class List | File List | Class Members | File Members

# General functionalities

General functionalities. More...

## Functions
GShandle | GSCDKey_Initialize (GSushort usPort)
| Initialize the cd key library.
GSvoid | GSCDKey_Uninitialize (GShandle pGSCDKeyHandle=0)
| Uinitialize a cd key handle or the whole library.
GSbool | GSCDKey_Engine (GShandle pGSCDKeyHandle, GSuint uiMaxDelay=500)
| Message pump.

## Detailed Description

These functions are used both by the game client and game server. They are use to initialize, uninitialize the library and process incomming/outgoing messages.

## Function Documentation

GSbool GSCDKey_Engine | ( | GShandle | pGSCDKeyHandle,
|  | GSuint | uiMaxDelay = 500
| ) |

  | Description: This function send outgoing messages and process incomming messages. To insure smooth operation of the library, this function should be called at least 10 time a second. It will return GS_FALSE if the provided cd key handle is not valid. Returns: Status of the function call Return values:
  GS_TRUE | the operation suceeded.
  GS_FALSE | the operation failed.
  Parameters:
  pGSCDKeyHandle | Handle on the cd key module
  uiMaxDelay | Maximum number of milisecond spent on processing messages

GShandle GSCDKey_Initialize | ( | GSushort | usPort | ) |

  | Description: This function will initialize the cd key library, on success it will return a handle that can be use for futur calls on this service. The provided port will be reserved for library communication and will be freed once the library is uninitialized, if the supplied port is not available (already binded) on the local machine, the initialization will fail. Returns: Status of the function call Return values:
  Handle | on the created cd key module
  0 | if the operation failed
  Parameters:
  usPort | The port on wich the client will listen to.

GSvoid GSCDKey_Uninitialize | ( | GShandle | pGSCDKeyHandle = 0 | ) |

  | Description: This function will uninitialize a provided cd key handle or it will uninitialize all cd key handle if no argument are supplied. Returns: void Parameters:
  pGSCDKeyHandle | Handle on the cd key module

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team